const azatot = "Пришествие Азатота";
const echo = "Эхо из глубин";
const twilight = "Завеса сумерек";

const locations = {
  "Мискатоникский университет": [
    "Обсерватория",
    "Библиотека Орна",
    "Лабораторный корпус",
  ],
  Исттаун: ["Ресторанчик Вельмы", "Закусочная Хибба", "Полицейский участок"],
  Ривертаун: ["Чёрная пещера", "Кладбище", "Магазин"],
  Даунтаун: ["Площадь Независимости", "Аркхэмская лечебница", "La Bella Luna"],
  Нортсайд: ["Аркхэм Эдвертайзер", "Лавка древностей", "Вокзал"],
  Аптаун: ["Холм Висельника", "Больница св. Марии", "Старинная лавка волшбы"],
  "Торговый район": ["Безлюдный остров", "Речной порт", "Клуб 'Тик-Так'"],
  Саутсайд: ["Пансион Мамашни", "Южная церковь", "Историческое общество"],
};

const locationsMapping = {
  [azatot]: ["Нортсайд", "Торговый район", "Исттаун", "Ривертаун", "Даунтаун"],
  [echo]: [
    "Нортсайд",
    "Торговый район",
    "Мискатоникский университет",
    "Ривертаун",
    "Даунтаун",
  ],
  [twilight]: [
    "Нортсайд",
    "Аптаун",
    "Мискатоникский университет",
    "Ривертаун",
    "Саутсайд",
  ],
};

export { locations, locationsMapping };
